
 LinHES - Bug # 610: Nameserver error with static IP

Status: Can not duplicate Priority: Normal
Author: chunter2 Category: Installation/Upgrade
Created: 01/12/2010 Assignee: jams
Updated: 08/05/2011 Due date:
Description: If I set the network to static IP from the installer and enter my DNS IP I get "Could not locate nameserver" with 

an option to try again or continue.  Try again brings up the same error.  Continue allows the installer to finish.  
When the system boots I can ping a hostname so it seems like the DNS entry is working.

History
01/30/2010 07:27 pm - jams
attaching the mv_debug log in /tmp would be helpful.

02/11/2010 11:19 am - chunter2
I tried an install again and went to the shell right after the error.  At the end of the mythvantage_install.log file it looks like it's trying to ping the 
nameserver but the syntax must be wrong because it just returns the "Usage" for ping.  The ping command works for the local IP as well as the 
gateway IP but fails for the nameserver IP.  Is there any way to see what the commands actually are that output to mythvantage_install.log?  

03/20/2010 09:43 pm - jams
I cannot replicate this problem.

attach /etc/systemconfig  /etc/resolv.conf and /tmp/mythvantage_install.log

If you want to see what it's doing you will need to look at install_proxy.sh  network_checkit check_ns

03/21/2010 01:29 pm - jams
- Status changed from In Progress to Feedback

03/22/2010 12:07 pm - chunter2
- File systemconfig added

- File mythvantage_install.log added

- File resolv.conf added

Here's the files you're looking for.  This is all for R6.01.00.  I grabbed them right after I got the error "Could not locate nameserver".  

03/22/2010 12:14 pm - chunter2
In R6.02.00 I get the error message "Could not find myself on the network".  When I drop to a shell I don't have a network connection so I can't even 
transfer the log files.  With R6.01.00 I could transfer the files.  

03/25/2010 07:37 am - jams
From the looks of the files attached, network is getting setup but the nameserver is not being written to resolve.conf  which would cause the problem 
your seeing.

6.02 had a serious bug with the networking page.
I'm hoping 6.03 will clear this up for you.  I have tried several times and can not cause the problem to happen.

07/13/2025 1/2



03/25/2010 08:42 am - chunter2
Is there anything else you'd like me to try?  I can wait for 6.03 to test again.  

03/25/2010 10:01 am - jams
Lets wait for 6.0.3.  It shouldn't be to long  and you have a working system now so why rock the boat.

06/08/2010 09:29 am - brfransen
Now that 6.03.00 is released please test again and report back.

06/10/2010 06:56 am - chunter2
I'm now back to the "Could not locate nameserver" error with 6.03.00.  But I can click continue and after the install the network works.  

06/10/2010 12:11 pm - brfransen
- Category set to Installation/Upgrade

- Status changed from Feedback to In Progress

08/05/2011 04:13 pm - jams
- Status changed from In Progress to Can not duplicate

Files
resolv.conf 114 Bytes 03/22/2010 chunter2
mythvantage_install.log 7.6 kB 03/22/2010 chunter2
systemconfig 2.2 kB 03/22/2010 chunter2
